# MatCreateSeqFFTW

Creates a matrix object that provides sequential FFT via the external package FFTW

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatCreateSeqFFTW(MPI_Comm comm,PetscInt ndim,const PetscInt dim[],Mat* A)

Collective on MPI_Comm

### Input Parameter

| comm | - MPI communicator, set to PETSC_COMM_SELF
| ndim | - the ndim-dimensional transform
| dim | - array of size ndim, dim[i] contains the vector length in the i-dimension

### Output Parameter

A -the matrix

### Options Database Keys

| -mat_fftw_plannerflags | - set FFTW planner flags

Level:intermediate
Location: src/mat/impls/fftw/fftw.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages